#include<iostream> 
#include<cmath>
using namespace std;
int main ()
{ 
int s[100],max,min,a,n,j,i,t;
cin>>n;
min=0;
max=0;
for(j=0;j<=n-1;j++){
cin>>a;
s[j]=a;
if(s[max]<s[j])
max=j;
if(s[min]>s[j])
min=j;
}
t=s[max];
s[max]=s[min];
s[min]=t;
for(i=0;i<=n-1;i++)
cout<<s[i]<<" ";
return 0;}

